#pragma once

namespace Ephere { namespace Plugins { namespace Ornatrix
{

// forward declares:
class IHair;

//! Any object which contains a hair instance
class IHairContainer
{
public:

	/** Gets the hair instance inside this container or nullptr if there is none
		@return Hair interface instance
	*/
	virtual IHair* GetHair() = 0;

};

} } } // Ephere::Plugins::Ornatrix